For the complete documentation index, see llms.txt. This page is also available as Markdown.

Roles

List Role Permissions

get

Return a list of permissions available for Roles.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Object of available role permissions

application/json
resourcestringRequired

Resource Name

descriptionstringOptional

Resource description and/or mapping to portal

fetchbooleanOptional

If fetch/get is an available action

createbooleanOptional

If create is an available action

updatebooleanOptional

If update is an available action

deletebooleanOptional

If delete is an available action

get/api/v1/roles/permissions
GET /api/v1/roles/permissions HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "resource": "text",
    "description": "text",
    "fetch": true,
    "create": true,
    "update": true,
    "delete": true
  }
]

List Roles

get

Return a list of all Roles.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Role response object

application/json
get/api/v1/roles
GET /api/v1/roles HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "text",
    "name": "text",
    "description": "text",
    "canMasquerade": true,
    "canSendFlow": true,
    "system": true,
    "permissions": [
      {
        "resource": "text",
        "description": "text",
        "fetch": true,
        "create": true,
        "update": true,
        "delete": true
      }
    ]
  }
}

Create Role

post

Create a Role from the supplied object. Do NOT submit an ID. IDs are auto generated and immutable.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

The name of the role.

Example: my_role
descriptionstringOptional

A user friendly description of the role.

Example: Role for Testing
canMasqueradebooleanOptional

(resellers only) Whether or not the role can masquerade into sub accounts.

Default: falseExample: true
canSendFlowbooleanOptional

Whether or not the role can send NetoFlow.

Default: falseExample: true
Responses
201

Role response object

application/json
post/api/v1/roles
POST /api/v1/roles HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 267

{
  "name": "my_role",
  "description": "Role for Testing",
  "canMasquerade": true,
  "canSendFlow": true,
  "permissions": [
    {
      "resource": "account",
      "fetch": true,
      "create": true,
      "update": true,
      "delete": true
    },
    {
      "resource": "customer",
      "fetch": true,
      "create": false,
      "update": false,
      "delete": false
    }
  ]
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "text",
    "name": "text",
    "description": "text",
    "canMasquerade": true,
    "canSendFlow": true,
    "system": true,
    "permissions": [
      {
        "resource": "text",
        "description": "text",
        "fetch": true,
        "create": true,
        "update": true,
        "delete": true
      }
    ]
  }
}

Get Role

get

Fetches a specific Role from the ID supplied in the path.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

String ID of the role to get

Responses
200

Role response object

application/json
get/api/v1/roles/{id}
GET /api/v1/roles/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "text",
    "name": "text",
    "description": "text",
    "canMasquerade": true,
    "canSendFlow": true,
    "system": true,
    "permissions": [
      {
        "resource": "text",
        "description": "text",
        "fetch": true,
        "create": true,
        "update": true,
        "delete": true
      }
    ]
  }
}

Update Role

put

Update a Role given the provided object. This does not do a diff. You must send the complete object.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the Role to be updated

Body
namestringRequired

The name of the role.

Example: my_role
descriptionstringOptional

A user friendly description of the role.

Example: Role for Testing
canMasqueradebooleanOptional

(resellers only) Whether or not the role can masquerade into sub accounts.

Default: falseExample: true
canSendFlowbooleanOptional

Whether or not the role can send NetoFlow.

Default: falseExample: true
Responses
200

Role response object

application/json
put/api/v1/roles/{id}
PUT /api/v1/roles/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 267

{
  "name": "my_role",
  "description": "Role for Testing",
  "canMasquerade": true,
  "canSendFlow": true,
  "permissions": [
    {
      "resource": "account",
      "fetch": true,
      "create": true,
      "update": true,
      "delete": true
    },
    {
      "resource": "customer",
      "fetch": true,
      "create": false,
      "update": false,
      "delete": false
    }
  ]
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": {
    "id": "text",
    "name": "text",
    "description": "text",
    "canMasquerade": true,
    "canSendFlow": true,
    "system": true,
    "permissions": [
      {
        "resource": "text",
        "description": "text",
        "fetch": true,
        "create": true,
        "update": true,
        "delete": true
      }
    ]
  }
}

Delete Role

delete

Deletes the Role. API will return a 409 Conflict if the role is in use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the Role to be retrieved

Responses
204

An empty array

No content

delete/api/v1/roles/{id}
DELETE /api/v1/roles/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated